## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:    dosbox-staging
Version: 0.81.2
Release: %autorelease
Summary: Modern continuation of DOSBox with advanced features
URL:     https://www.dosbox-staging.org/

# Bundled dependencies bring their licenses with them.
# Breakdown is given here.
#
# src/libs/decoders/std.h is another bundled dependency,
# but apparently not used.
# It is removed in %%prep to be sure.
#
# Main license:      GPL-2.0-or-later
# archive:           Unlicense
# dr_libs:           MIT-0 OR Unlicense
# enet:              MIT
# gulrak-filesystem: MIT
# src/libs/gui_tk:   GPL-3.0-or-later
# libsidplayfp:      GPL-2.0-or-later
# src/lib/loguru:    LicenseRef-Fedora-Public-Domain
# src/lib/ppscale:   Fair
# src/lib/nuked:     LGPL-2.1-or-later
# stb_vorbis:        MIT OR Unlicense
# src/libs/whereami: MIT OR WTFPL
# xxhash.h:          BSD-2-Clause
License: GPL-2.0-or-later AND Unlicense AND (MIT-0 OR Unlicense) AND MIT AND GPL-3.0-or-later AND LicenseRef-Fedora-Public-Domain AND Fair AND LGPL-2.1-or-later AND (MIT OR Unlicense) AND (MIT OR WTFPL) AND BSD-2-Clause

Source: https://github.com/dosbox-staging/dosbox-staging/archive/v%{version}/%{name}-%{version}.tar.gz
# This package is a drop-in replacement for dosbox
Provides:  dosbox = %{version}-%{release}

BuildRequires: alsa-lib-devel
BuildRequires: desktop-file-utils
BuildRequires: fluidsynth-devel >= 2.0
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: git
BuildRequires: gmock-devel
BuildRequires: gtest-devel
BuildRequires: iir1-devel
BuildRequires: libappstream-glib
BuildRequires: libatomic
BuildRequires: libpng-devel
BuildRequires: libslirp-devel
BuildRequires: libXi-devel
BuildRequires: make
BuildRequires: meson
BuildRequires: mt32emu-devel
BuildRequires: opusfile-devel
BuildRequires: SDL2-devel >= 2.0.5
BuildRequires: SDL2_image-devel
BuildRequires: SDL2_net-devel
BuildRequires: speexdsp-devel

Requires: hicolor-icon-theme
Requires: fluid-soundfont-gm

# Some libraries are loaded at runtime, see rhbz#2176658
Requires: mesa-dri-drivers
Requires: mesa-libEGL

# src/lib/enet
# Based on fork github.com/lsalzman/enet
Provides: bundled(enet)
# src/lib/ghc
Provides: bundled(gulrak-filesystem)
# src/lib/gui_tk
# Not in Fedora, upstream seems to have disappeared completely
Provides: bundled(gui_tk)
# src/lib/loguru
# Not in Fedora, upstream https://github.com/emilk/loguru
Provides: bundled(loguru)
# src/lib/nuked
# Not in Fedora, upstream https://github.com/nukeykt/Nuked-OPL3
Provides: bundled(nuked-opl3)
# src/lib/residfp
# Not the whole library, just the residfp part
Provides: bundled(libsidplayfp)
# src/lib/whereami
# Not in Fedora, upstream https://github.com/gpakosz/whereami
Provides: bundled(gpakosz-whereami)
# src/lib/decoders/archive.h
# Not in Fedora, upstream github.com/voidah/archive
Provides: bundled(archive)
# src/lib/decoders/dr_{flac,mp3,wav}.h
Provides: bundled(dr_libs)
# src/lib/decoders/stb_vorbis.h
Provides: bundled(stb_vorbis)
# src/lib/decoders/xxhash.h
Provides: bundled(xxhash)

# Automated Tests in Bodhi failed the textrel test for i686, see
# https://sourceware.org/annobin/annobin.html/Test-textrel.html
ExcludeArch: %{ix86}

%description
DOSBox Staging is a modern continuation of DOSBox with advanced features and
current development practices.

It is a (mostly) drop-in replacement for older DOSBox versions — your existing
configurations will continue to work, and you will have access to many advanced
features.

DOSBox Staging comes with sensible defaults, so you’ll need to write a lot less
configuration than with older DOSBox versions. Most games and applications
require no tweaking and will work fine with the stock settings. However, the
extensive configuration options and advanced features are available if you wish
to delve deeper.


%prep
%autosetup -p1
# Remove unused file
rm src/libs/decoders/stb.h


%build
# Option use_zlib_ng affects also use of vector extensions when building.
# Disabling it is the only way to disable vector extensions, which needs to be
# done as Fedora supports even x86_64_v1. In reality, zlib-ng is used via
# zlib-ng-compat anyhow.
%meson -Duse_zlib_ng=false
%meson_build


%install
%meson_install
# Install bash completion files
mkdir -p  %{buildroot}%{_datadir}/bash-completion/completions
cp contrib/linux/bash-completion/dosbox %{buildroot}%{_datadir}/bash-completion/completions


%check
%meson_test
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml


%files
%license %{_datadir}/licenses/%{name}/*
%doc AUTHORS README THANKS
%{_bindir}/dosbox
%{_mandir}/man1/dosbox.*
%{_datadir}/applications/*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/dosbox
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/dosbox-staging.*
%{_metainfodir}/*


%changelog
## START: Generated by rpmautospec
* Sat Mar 08 2025 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.81.2-2
- Disable SSE2 and SSSE3 (rhbz#2347233)

* Sat Oct 19 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.81.2-1
- Revert "Update to 0.82.0 (rhbz#2318463)"

* Wed Oct 16 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.82.0-1
- Update to 0.82.0 (rhbz#2318463)

* Thu Sep 26 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.81.2-3
- Rebuilt for iir1 1.9.5 (rhbz#2314874)

* Tue Aug 27 2024 Trung Lê <8@tle.id.au> - 0.81.2-2
- Clean up defunct patch

* Tue Aug 06 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.81.2-1
- Update to 0.81.2 (rhbz#2299159)

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.81.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri May 31 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.81.1-4
- Update summary, homepage and description

* Fri May 31 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.81.1-3
- Apply upstream pull request to fix crash on ppc64le (rhbz#2276363)

* Sat May 25 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.81.1-2
- Remove obsolete `Obsoletes: dosbox`

* Mon May 13 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.81.1-1
- Update to 0.81.1 (rhbz#2280200)

* Wed Feb 14 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.81.0-1
- Update to version 0.81.0 (rhbz#2259101)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.80.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.80.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.80.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Apr 02 2023 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.80.1-3
- Add missing Requires for minimal environments (rhbz#2176658)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.80.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jan 08 2023 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.80.1-1
- Update to 0.80.1 (rhbz#2159057)

* Tue Dec 27 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.80.0-2
- Update source tarball

* Thu Dec 22 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.80.0-1
- Update to 0.80.0 (rhbz#2155399)

* Thu Nov 10 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.79.1-4
- Avoid wide globs in %%files

* Mon Oct 24 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.79.1-3
- Exclude i686 architecture

* Sat Oct 08 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.79.1-2
- Add missing sources

* Sat Oct 08 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.79.1-1
- Update to 0.79.1 (rhbz#2128116)

* Tue Aug 09 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.78.1-6
- Switch to SPDX license ids

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Otto Urpelainen <oturpe@iki.fi> - 0.78.1-1
- Update to 0.78.1

* Mon Jan 03 2022 Otto Urpelainen <oturpe@iki.fi> - 0.78.0-3
- Patch crash when calling EXIT in fullscreen mode
- Add virtual provides for bundled dependencies
- Update license to comply with bundled dependencies' licenses

* Sun Jan 02 2022 Otto Urpelainen <oturpe@iki.fi> - 0.78.0-2
- Fix build on 32 bit arches

* Sat Jan 01 2022 Otto Urpelainen <oturpe@iki.fi> - 0.78.0-1
- Update to 0.78.0
- Add translations
- Add bash completion

* Mon Sep 20 2021 Otto Urpelainen <oturpe@iki.fi> - 0.77.1-1
- Update to 0.77.1
- Resolves rhbz#2001461

* Fri Jul 23 2021 Otto Urpelainen <oturpe@iki.fi> - 0.77.0-4
- Use system mt32emu instead of bundling it

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.77.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 04 2021 Patryk Obara (pbo) <dreamer.tan@gmail.com>
- 0.77.0-2
- Indicate bundled mt32emu library via "Provides" tag
- Raise minimum SDL version to 2.0.5

* Sat Jul 03 2021 Patryk Obara (pbo) <dreamer.tan@gmail.com>
- 0.77.0-1
- Update to 0.77.0
- Replace Autotools with Meson

* Mon Jun 21 2021 Gwyn Ciesla <gwync@protonmail.com> - 0.76.0-3
- Fluidsynth rebuild.

* Tue Jan 26 2021 Patryk Obara (pbo) <dreamer.tan@gmail.com>
- 0.76.0-2
- Tighten dependencies checks

* Mon Jan 25 2021 Patryk Obara (pbo) <dreamer.tan@gmail.com>
- 0.76.0-1
- Update to 0.76.0
- Add fluidsynth-devel build dependency (new feature)
- Add fluid-soundfont-gm runtime dependency (default soundfont)

* Tue Oct 27 2020 Patryk Obara (pbo) <dreamer.tan@gmail.com>
- 0.75.2-1
- Update to 0.75.2

* Thu Oct 01 2020 Patryk Obara (pbo) <dreamer.tan@gmail.com>
- 0.75.1-1
- Initial release.

## END: Generated by rpmautospec
